import 'connection.dart';

class FollowRequest {
  final Connection connection;
  final DateTime createdAt;

  const FollowRequest({
    required this.connection,
    required this.createdAt,
  });

  @override
  bool operator ==(Object other) =>
      identical(this, other) ||
      other is FollowRequest &&
          runtimeType == other.runtimeType &&
          connection == other.connection;

  @override
  int get hashCode => connection.hashCode;
}
