class GroupData {
  static final followersPseudoGroup = GroupData('~', 'Followers');

  final String id;

  @override
  bool operator ==(Object other) =>
      identical(this, other) ||
      other is GroupData &&
          runtimeType == other.runtimeType &&
          id == other.id &&
          name == other.name;

  @override
  int get hashCode => id.hashCode ^ name.hashCode;
  final String name;

  GroupData(this.id, this.name);

  @override
  String toString() {
    return 'GroupData{id: $id, name: $name}';
  }
}
